package com.sincere.morningcheck.dao;

import com.sincere.morningcheck.model.ClassExReport;
import com.sincere.morningcheck.model.StudentCheckReport;
import com.sincere.morningcheck.model.StudentCheckReportHis;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface StudentCheckReportDao {

    int insert(StudentCheckReport studentCheckReport);

    int insertCheckHis(StudentCheckReportHis studentCheckReportHis);

    /**
     * 根据卡号和学生标识修改学生检查报告信息
     * @param studentCheckReport
     * @return
     */
    int updateByStudent(StudentCheckReport studentCheckReport);

    List<StudentCheckReport> getCheckReport(@Param("studentId") Integer studentId);

    int getCheckStuCountBySchoolId(@Param("schoolId")Integer schoolId,@Param("checkTime") String checkTime);

    List<StudentCheckReport> getCheckReportBySchoolId(@Param("schoolId")Integer schoolId,@Param("checkTime") String checkTime);

    List<ClassExReport> getCheckExReportByGrade(@Param("schoolId")Integer schoolId,@Param("gradeId") Integer gradeId,@Param("checkTime") String checkTime);
}
