package com.sincere.morningcheck.dao;


import com.sincere.morningcheck.model.Grade;
import com.sincere.morningcheck.model.Student;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Mapper
@Repository
public interface StudentDao {

    List<Student> getStudents(@Param("schoolId") Integer schoolId);

    Student getStudentByCardNo(@Param("cardNo") String cardNo);

    Student getStudentByStudentId(@Param("schoolId")Integer schoolId,@Param("studentId")Integer studentId);

    Student getStudentByStuUserId(@Param("sUserId") String sUserId);

    int getStuCountBySchoolId(@Param("schoolId") Integer schoolId);

    List<Grade> getGradeBySchoolId(@Param("schoolId") Integer schoolId);

    /**
     * 获取学生用户标识
     * @param num
     * @return
     */
    String getStuUserId(@Param("num") String num,@Param("schoolId")String schoolId);

    List<String> getOpenId(@Param("stuUserId")String stuUserId,@Param("schoolId")String schoolId);
    /**
     * 传入的参数和返回的结果都在map集合参数params中
     * @param params
     */
    void swipeCard(Map<String, Object> params);


}
