package com.sincere.morningcheck.service.impl;

import com.sincere.morningcheck.dao.UserDao;
import com.sincere.morningcheck.model.School;
import com.sincere.morningcheck.model.Student;
import com.sincere.morningcheck.model.User;
import com.sincere.morningcheck.service.StudentService;
import com.sincere.morningcheck.service.UserServer;

import com.sincere.morningcheck.utils.DataConvertHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class UserServerImp implements UserServer {

    @Autowired
    UserDao userDao;

    @Autowired
    StudentService studentService;

    @Override
    public User getDeviceUser(String deviceNo) {
        return userDao.getUser(deviceNo);
    }

    @Override
    public School getSchoolById(Integer schoolId) {

        School school = userDao.getSchoolById(schoolId);

        List<Student> students = studentService.getStudents(schoolId);

        for (Student student : students){

            if(student.getCardNos().contains(",")) {

                String[] cards = student.getCardNos().split(",");
                String distCards = "";
                for(String card:cards){

                    distCards +=DataConvertHelper.XToDist(card).toString()+",";
                }
                student.setCardNos(distCards.substring(0,distCards.length()-1));
            }else {
                student.setCardNos(DataConvertHelper.XToDist(student.getCardNos()).toString());
            }

        }
        school.setStudents(students);

        return school;
    }

    @Override
    public User isExit(String username) {
        return null;
    }
}
