package com.sincere.morningcheck.utils;

import org.apache.commons.lang3.StringUtils;

import java.math.BigInteger;
import java.util.*;

public class DataConvertHelper {

    /**
     * key-value集合转换为url键值对字符串
     * @param keyValues
     * @return
     */
    private static String keyValueToString(List<Map.Entry<String,String>> keyValues) {

        StringBuffer buff = new StringBuffer();
        for (Map.Entry<String, String> entry : keyValues) {
            if (buff.length() > 0) {
                buff.append("&");
            }
            buff.append(entry.getKey()).append("=").append(entry.getValue());
        }
        return buff.toString();

    }

    public static String mapAscSortToUrl(Map<String,String> aMap){

        Set<Map.Entry<String,String>> set=aMap.entrySet();

        List<Map.Entry<String,String>> aList=new LinkedList<>(set);

        //o1在前是升序，反之是降序
        Collections.sort(aList,(o1,o2)-> { return o1.getKey().compareTo(o2.getKey()); });

        return keyValueToString(aList);
    }


    /**
     * 8位16进制的卡号转为10进制卡号
     * @param cardNo
     * @return
     */
    public static BigInteger XToDist(String cardNo){
        String newCard = "";
        BigInteger card = new BigInteger("0");
        try {

            if (StringUtils.isNotBlank(cardNo) && cardNo.length() == 8) {

                newCard += cardNo.substring(6, 8);
                newCard += cardNo.substring(4, 6);
                newCard += cardNo.substring(2, 4);
                newCard += cardNo.substring(0, 2);
                card = new BigInteger(newCard, 16);
            }
        }catch (Exception e){
            e.printStackTrace();
        }
        return card;
    }

    public static String distToX(Long num) {
        String newCard = "";
        try {
            Long valueTen = num;
            //将十六进制格式化8位输出
            String cardNo = String.format("%08x", valueTen).toUpperCase();
            System.out.println(valueTen + " [十进制]---->[十六进制] " + cardNo);

            newCard += cardNo.substring(6, 8);
            newCard += cardNo.substring(4, 6);
            newCard += cardNo.substring(2, 4);
            newCard += cardNo.substring(0, 2);

            System.out.println("两两换位之后的新卡号："+newCard);

        }catch (Exception e){
            newCard = "00000000";
            e.printStackTrace();
        }

        return newCard;
    }
}
