package com.sincere.morningcheck.utils;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @Description: 日志工具类
 * @Author: Ziv
 */
public class LogUtil {

    /**
     * 将信息打印到自定义日志（my_info.log）中
     * @param message 需要被打印的信息
     */
    public static void printInfoLog(String message){
        Logger logger  =  LoggerFactory.getLogger("my_info");
        logger.info(message);
    }

    /**
     * 将信息打印到自定义日志（system_error.log）中
     * @param e 异常信息
     */
    public static void printErrorLog(Exception e, Class<?> clazz){
        Logger logger  =  LoggerFactory.getLogger(clazz);

        StringBuffer logOut = new StringBuffer();
        logOut.append(e.toString());


        StackTraceElement[] errorList = e.getStackTrace();
        for (StackTraceElement stackTraceElement : errorList) {
            logOut.append(stackTraceElement.toString());
            logOut.append("\n");
        }

        logger.error(logOut.toString());
    }

    public static void printErrorLog(Class<?> clazz,String message){
        Logger logger  =  LoggerFactory.getLogger(clazz);
        logger.error(message);
    }
}
