package com.sincre.springboot.ApiModel;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@JsonInclude(JsonInclude.Include.NON_EMPTY)
@ApiModel
public class TuYaAirCondition {

    @ApiModelProperty(name = "remote_index",value="遥控器索引",required = true)
    private String remote_index;
    @ApiModelProperty(name = "remote_id",value="遥控器标识",required = true)
    private String remote_id;

    /**
     * 开关（1：开，0：关）
     */
    @ApiModelProperty(name = "power",value="开关（1：开，0：关）",required = true)
    private String power;
    /**
     * 模式（0：制冷，1：制热，2：自动，3：送风，4：除湿）
     */
    @ApiModelProperty(name = "power",value="开关（1：开，0：关）")
    private String mode;

    /**
     * 温度（16-30）
     */
    @ApiModelProperty(name = "temp",value="温度（16-30）")
    private String temp;

    /**
     * 风速（0：自动，1：低，2：中，3：高）
     */
    @ApiModelProperty(name = "wind",value = "风速（0：自动，1：低，2：中，3：高）")
    private String wind;

    public String getRemote_index() {
        return remote_index;
    }

    public void setRemote_index(String remote_index) {
        this.remote_index = remote_index;
    }

    public String getRemote_id() {
        return remote_id;
    }

    public void setRemote_id(String remote_id) {
        this.remote_id = remote_id;
    }

    public String getPower() {
        return power;
    }

    public void setPower(String power) {
        this.power = power;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public String getTemp() {
        return temp;
    }

    public void setTemp(String temp) {
        this.temp = temp;
    }

    public String getWind() {
        return wind;
    }

    public void setWind(String wind) {
        this.wind = wind;
    }

    public String getSwing() {
        return swing;
    }

    public void setSwing(String swing) {
        this.swing = swing;
    }

    /**
     * 风向（暂时不支持）
     */
    @ApiModelProperty(name = "swing",value = "风向（暂时不支持）")
    private String swing;
}
