package com.sincre.springboot.controller;

import com.sincre.springboot.model.User;
import com.sincre.springboot.server.UserServer;
import com.sincre.springboot.server.UserServerImp;
import com.sincre.springboot.utils.FileUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpSession;

@RestController
@RequestMapping(value = "/user/*")
@Api(value = "用户信息管理")
public class UserController {

    @Autowired
    UserServer userServer;

    @ApiOperation(value = "注册", notes = "注册motes")
    @RequestMapping(method = RequestMethod.GET, value = "register")
    public String regist(String userName, String password) {
        User user = userServer.isExit(userName);
        System.out.println("username:" + userName + " password:" + password + " user:" + user);
        if (user == null) {
            userServer.registr(userName, password);
        } else {
            return "已经注册了";
        }
        return "注册成功";
    }

    @ApiOperation(value = "登录")
    @RequestMapping(method = RequestMethod.GET, value = "login")
    public String login(String name, String password) {
        User user = userServer.login(name, password);
        System.out.println("login:" + user);
        if (user == null) {
            if (userServer.isExit(name) == null) {
                return "用户名错误";
            } else
                return "密码错误";
        }
        return "登录成功";
    }

    @RequestMapping(method = RequestMethod.GET, value = "getImg")
    public String getImg() {
        return FileUtils.getImageStr("C:\\Users\\taohandong\\Desktop\\微耕.png");
    }

//    @ApiOperation(value = "输入用户")
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "id", value = "用户id", required = true),
//            @ApiImplicitParam(name = "User", value = "用户实体", required = true)
//    })
//    @RequestMapping(method = RequestMethod.PUT, value = "{id}")
//    public boolean putUser(@PathVariable Long id, @RequestBody User userServerImp) {
//        System.out.println("username:" + id + " password:" + userServerImp.toString());
//        if (null == userServerImp) return false;
//        return true;
//    }

}
